2020-09-23 12:03 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002617Buildsystem[All Projects] Generalpublic2020-05-27 09:21
ReporterMichael Shigorin 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platforme2kOSlinuxOS Versionsisyphus
Summary0002617: [PATCH] add lcc compiler detection
Descriptionnetsurf 3.8 "as is" fails to detect Elbrus C Compiler (an EDS-based one).
Steps To Reproduce$ make TARGET=gtk PREFIX=/usr
[...]
Unable to detect toolchain
Additional Information$ cc --dumpspecs
lcc: ошибка: не указаны входные файлы
$ cc --version
lcc:1.21.24:Dec--7-2017:e2k-v3-linux
gcc (GCC) 4.8.0 compatible

The attached patch works for me.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
Attached Files
  • patch file icon netsurf-3.8-alt-e2k.patch (422 bytes) 2018-09-18 13:59 -
    --- netsurf-3.8/buildsystem/makefiles/Makefile.tools-orig	2018-09-18 09:06:30.622701434 +0000
    +++ netsurf-3.8/buildsystem/makefiles/Makefile.tools	2018-09-18 09:48:46.539300996 +0000
    @@ -369,6 +369,11 @@
         endif
       endif
     
    +  ifeq ($(findstring lcc:,$(ccvsn)),lcc:)
    +    # MCST LCC pretends to be gcc
    +    toolchain := gcc
    +  endif
    +
       # "Norcroft ..."
       ifeq ($(word 1,$(ccvsn)),Norcroft)
         toolchain := norcroft
    
    patch file icon netsurf-3.8-alt-e2k.patch (422 bytes) 2018-09-18 13:59 +

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0002047

Daniel Silverstone (administrator)

Thank you, I have applied your patch to our git. It will be present in the next release.
Vincent Sanders

~0002253

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2018-09-18 13:59 Michael Shigorin New Issue
2018-09-18 13:59 Michael Shigorin File Added: netsurf-3.8-alt-e2k.patch
2019-08-01 11:35 Daniel Silverstone Status new => resolved
2019-08-01 11:35 Daniel Silverstone Resolution open => fixed
2019-08-01 11:35 Daniel Silverstone Note Added: 0002047
2020-05-27 09:21 Vincent Sanders Status resolved => closed
2020-05-27 09:21 Vincent Sanders Note Added: 0002253
+Issue History